Send patches - preferably formatted by git format-patch - to patches at archlinux32 dot org.
summaryrefslogtreecommitdiff
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest/bin/pkgctl12
1 files changed, 12 insertions, 0 deletions
diff --git a/test/bin/pkgctl b/test/bin/pkgctl
new file mode 100755
index 0000000..9641af3
--- /dev/null
+++ b/test/bin/pkgctl
@@ -0,0 +1,12 @@
+#!/usr/bin/bash
+set -e
+
+root="$(dirname -- "$(readlink -f -- "$0")")/../.."
+
+# always build everything so we use an up-to-date state
+make -C "${root}" -j --no-print-directory --silent
+
+# run pkgctl from the build directory
+export PATH="${root}/build/bin:${PATH}"
+export _DEVTOOLS_LIBRARY_DIR="${root}/build"
+"${root}/build/bin/pkgctl" "$@"